Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000102Core InformKinds and type checkingpublic2010-06-22 14:042010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000102: Long-form definitions forget their argument types
DescriptionThe source results in the following problem report:

Problem. In the sentence 'if N is at least 10000, yes', it looks as if you intend 'N is at least 10000' to be a condition, but that would mean comparing two kinds of value which cannot mix - an object and a number - so this must be incorrect.

[Snip the rest.]
Minimal Source Text To Reproduce
Home is a room.

Definition: a number (called N) is large:
	if N is at least 10000, yes;
	otherwise no.
Additional InformationAlso, is this syntax documented? I can't find any explicit mention of it, although it's used in some examples.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000133)
jmcgrew (administrator)
2010-06-22 18:14

This fails even without the "called N" part (referring to the number as "it" instead).
(0000191)
Ron Newcomb (reporter)
2010-06-29 20:50

Interesting. In the manual at 6.4 "Defining new adjectives" as well as the next 4 sections that follow, only the one-liner version of Definition is used. Not the multi-line version this bug's example uses. The verbiage at 6.4 doesn't mention the multi-line version either.
(0000200)
graham (administrator)
2010-06-30 16:21

An oversight, going back to the days when definitions could only be made about objects. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-22 14:04 fundin New Issue
2010-06-22 15:08 jmcgrew Status new => acknowledged
2010-06-22 18:14 jmcgrew Note Added: 0000133
2010-06-22 18:14 jmcgrew Status acknowledged => confirmed
2010-06-29 20:50 Ron Newcomb Note Added: 0000191
2010-06-30 16:21 graham Note Added: 0000200
2010-06-30 16:21 graham Status confirmed => resolved
2010-06-30 16:21 graham Resolution open => fixed
2010-06-30 16:21 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker